// (c) MIT 2003.  All rights reserved.

////////////////////////////////////////////////////////////////////////////////
//
// FILE:	ImplementationError.java
//
// AUTHOR:	Manoj D. Muzumdar
//		archon@ai.mit.edu
//
// DATE:	July, 1998
//
// COPYRIGHT:	Massachusetts Institute of Technology
//		All rights reserved.
//
// PURPOSE:     Error class which indicates that there is a bug
//                   bug that needs to be fixed
//
////////////////////////////////////////////////////////////////////////////////

package rec.util;

public class ImplementationError extends Error
{
  public static ImplementationError create()
  {
    return( (ImplementationError)((new ImplementationError())
				  .fillInStackTrace()) );
  }

  public static ImplementationError create( String msg )
  {
    return( (ImplementationError)((new ImplementationError( msg ))
				  .fillInStackTrace()) );
  }

  //////////////////////////////////////////////////////////////////////////////

  private ImplementationError()
  {
  }

  private ImplementationError( String msg )
  {
    super( msg );
  }
}

////////////////////////////////////////////////////////////////////////////////
